<!DOCTYPE html>
<html lang="zh-CN">
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>jQuery发送AJAX请求</title>
        <link
            crossorigin="anonymous"
            href="https://cdn.bootcss.com/twitter-bootstrap/3.3.7/css/bootstrap.min.css"
            rel="stylesheet"
        />
        <script
            crossorigin="anonymous"
            src="https://cdn.bootcdn.net/ajax/libs/jquery/3.5.1/jquery.min.js"
        ></script>
    </head>

    <body>
        <div class="container">
            <h2 class="page-header">jQuery发送AJAX请求</h2>
            <textarea id="data_text" class="form-control input-lg" rows="2" cols="2"></textarea>
            <button id="load_data" class="btn btn-primary">load()方法</button>
            <button id="get_data" class="btn btn-primary">get()方法</button>
            <button id="post_data" class="btn btn-danger">post()方法</button>
            <button id="ajax_data" class="btn btn-info">ajax()方法</button>
        </div>
        <script>
            $("#load_data").click(function () {
                $("#data_text").load("http://127.0.0.1:8000/jquery-server", function(data){
                    console.log(data);
                });
            });

            $("#get_data").click(function () {
                $.get(
                    "http://127.0.0.1:8000/jquery-server",
                    { a: 100, b: 200 },
                    function (data) {
                        console.log(data);
                        $("#data_text").val(JSON.stringify(data));
                    },
                    "json"
                );
            });

            $("#post_data").click(function () {
                $.post(
                    "http://127.0.0.1:8000/jquery-server",
                    { a: 100, b: 200 },
                    function (data) {
                        console.log(data);
                        $("#data_text").val(JSON.stringify(data));
                    },
                    "json"
                );
            });

            $("#ajax_data").click(function () {
                $.ajax({
                    // url
                    url: "http://127.0.0.1:8000/jquery-server",
                    // 请求参数
                    data: { a: 100, b: 200 },
                    // 请求方法
                    type: "GET",
                    // 响应体结果类型
                    dataType: "json",
                    // 成功的回调
                    success: function (data) {
                        console.log(data);
                        $("#data_text").val(JSON.stringify(data));
                    },
                    // 超时时间
                    timeout: 2000,
                    // 失败的回调
                    error: function () {
                        console.log("出错啦!!");
                    },
                    // 头信息
                    headers: {
                        c: 300,
                        d: 400,
                    },
                });
            });
        </script>
    </body>
</html>
